HOME > Download > Integrated Development Environment > system
Download : Integrated Development Environment

Curl CDE System Requirements

Version 8.0

The CDE 8.0 is supported and tested with the following versions of Eclipse*1:

  • 3.7.2
  • 4.2.2*2, 4.3.2
    (*1) CDE doesn't support running on a 64bit Eclipse, even if you are using a 64bit OS, please use 32bit java VM, and 32bit eclipse installation.
    (*2) Known issue:Eclipse sometimes crashes when closing a Caede application preview dialog.
JVM(Java Virtual Machine)
- Sun/Oracle's JDK 1.6+ recommended

The system configuraiton requirements for the CDE are the same as the requirements for a typical Eclipse environment:
  • 1 GHz 32-bit (x86) or 64-bit (x64) processor
    (Recommended: 2GHz, 2Core or faster)
  • 2 (GB) of RAM (GB) for 32-bit versions or 3 GB for 64-bit versions
    (Recommended: 3 GB or greater for 32-bit versions, 4 GB or greater for 64-bit versions)
  • a minimum display resolution of 1024 x 768

Curl IDE System Requirements

Version 8.0

Windows®


Supported Operating Systems
  • Windows® 7 SP1(32bit, 64bit)
  • Windows® 8.1 (32bit, 64bit)
  • windows® 10 (32bit, 64bit)

Notes:
Curl IDE only supports running on 64bit windows through WOW64

Supported Browsers
  • Microsoft® Internet Explorer (IE) 11.0 Desktop Edition (IE11.0 for Modern UI is not supported)
  • FireFox52 ESR 32bit
CPU
    1 GHz 32-bit (x86) or 64-bit (x64) processor
    (Recommended: 2GHz or faster)
Memory
    1 (GB) of RAM (GB) for 32-bit versions or 2 GB for 64-bit versions
    (Recommended: 2 GB or greater for 32-bit versions, 3 GB or greater for 64-bit versions)
Hard Disk
    140 MB hard disk space

Linux


Supported Operating Systems
  • Ubuntu 14.04 LTS
  • CentOS 6.7
Supported Browsers
  • Firefox 38 ESR
CPU
    Pentium® 1GHz
Memory
    512 MB RAM (1GB recommended)
Hard Disk
    172 MB (total RTE and IDE)
Supported Window Managers
    Ubuntu 14.04 LTS:
  • GNOME 3.4
  • KDE 4.11.11
  • UNITY 7.2.6
    CentOS 6.7:
  • GNOME 2.28